- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
CSL_RtcConfig Struct Reference
RTC Data Structures

RTC Config Structure. More...

`#include <csl_rtc.h>`

## Data Fields
Uint16 | rtcmSec
Uint16 | rtcsec
Uint16 | rtcmin
Uint16 | rtchour
Uint16 | rtcday
Uint16 | rtcmonth
Uint16 | rtcyear
Uint16 | rtcmSeca
Uint16 | rtcseca
Uint16 | rtcmina
Uint16 | rtchoura
Uint16 | rtcdaya
Uint16 | rtcmontha
Uint16 | rtcyeara
Uint16 | rtcintcr

## Detailed Description

RTC Config Structure.

## Field Documentation

Uint16 CSL_RtcConfig::rtcday

Month field value between 1 - 31

Referenced by RTC_config(), and RTC_getConfig().

Uint16 CSL_RtcConfig::rtcdaya

Day Alarm field value between 1 - 31

Referenced by RTC_config(), and RTC_getConfig().

Uint16 CSL_RtcConfig::rtchour

Hour field value between 0 - 23

Referenced by RTC_config(), and RTC_getConfig().

Uint16 CSL_RtcConfig::rtchoura

Second Alarm field value between 0 - 59

Referenced by RTC_config(), and RTC_getConfig().

Uint16 CSL_RtcConfig::rtcintcr

RTC Interrupt field

Referenced by RTC_config(), and RTC_getConfig().

Uint16 CSL_RtcConfig::rtcmin

Minute field value between 0 - 59

Referenced by RTC_config(), and RTC_getConfig().

Uint16 CSL_RtcConfig::rtcmina

Minute Alarm field value between 0 - 59

Referenced by RTC_config(), and RTC_getConfig().

Uint16 CSL_RtcConfig::rtcmonth

Month field value between 1 - 12

Referenced by RTC_config(), and RTC_getConfig().

Uint16 CSL_RtcConfig::rtcmontha

Month Alarm field value between 1 - 12

Referenced by RTC_config(), and RTC_getConfig().

Uint16 CSL_RtcConfig::rtcmSec

MSecond field value between 0 - 1023

Referenced by RTC_config(), and RTC_getConfig().

Uint16 CSL_RtcConfig::rtcmSeca

MSecond Alarm field value between 0 - 1023

Referenced by RTC_config(), and RTC_getConfig().

Uint16 CSL_RtcConfig::rtcsec

Second field value between 0 - 59

Referenced by RTC_config(), and RTC_getConfig().

Uint16 CSL_RtcConfig::rtcseca

Hour Alarm field value between 0 - 23

Referenced by RTC_config(), and RTC_getConfig().

Uint16 CSL_RtcConfig::rtcyear

Year field value between 0 - 99

Referenced by RTC_config(), and RTC_getConfig().

Uint16 CSL_RtcConfig::rtcyeara

Year Alarm field value between 0 - 99

Referenced by RTC_config(), and RTC_getConfig().

The documentation for this struct was generated from the following file:

- csl_rtc.h